Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Help met FFmpeg installeren. voor video sharing website  (gelezen 858 keer)

Offline frontcode

  • Lid
Help met FFmpeg installeren. voor video sharing website
« Gepost op: 2012/08/26, 17:02:55 »
Beste Mede Ubuntu gebruikers,
Ik ben ongeveer 2 weken bekent met het gebruik van Linux Ubuntu server 12.04LTS ,dus geen ervaring of weinig ervaring in het gebruik van Linux distributie.
Ik heb een pc staan die word gebruikt al webserver.
Ik heb deze tutorial gevolgd : The Perfect Server - Ubuntu 12.04 LTS (Apache2, BIND, Dovecot, ISPConfig 3) op internet
Alles werkt naar behoren,incl. mailserver met wat aanpassingen in configuratie en een control panel van ISPconfig v3 had het niet verwacht voor een beginner als ik.haha, maar met veel lezen en zelf proberen kom je een heel eind..en ben zelf al bekend met resellers hosting.maar een server onderhouden en opbouwen niet veel ervaring mee.
nu heb ik al 2 websites draaien op deze server ,maar mis helaas de FFmpeg met al zijn modules Zoals :FFmpeg,Mencoder, Mplayer,flvtool2,enz enz.nu heb ik natuurlijk al wel wat gebrobeerd ,maar helaas krijg ik FFmpeg Niet geïnstalleerd..heb ook op de website van FFmpeg zelf gekeken en de handleiding gevolgd en geprobeerd, maar ook dit mocht niet baten.
weet iemand misschien hoe ik dit kan oplossen.graag een goede uitleg voor beginners zoals ik.
Misschien een link waar het duidelijk beschreven staat,liefst in het Nederlands.

Sorry ik zal wat meer info geven:
ik ben op dit moment deze tutorial aan het volgen: http://ffmpeg.org/trac/ffmpeg/wiki/UbuntuCompilationGuide

alles verloopt goed totdat ik de ffmpeg ga installeren ,dan krijg ik deze info:

******************:~/libvpx$ cd
********************:~$ git clone --depth 1 git://source.ffmpeg.org/ffmpeg
./configure --enable-gpl --enable-libfaac --enable-libmp3lame --enable-libopencore-amrnb \
  --enable-libopencore-amrwb --enable-librtmp --enable-libtheora --enable-libvorbis \
  --enable-libvpx --enable-libx264 --enable-nonfree --enable-version3 --enable-x11grab
make
sudo checkinstall --pkgname=ffmpeg --pkgversion="5:$(date +%Y%m%d%H%M)-git" --backup=no \
  --deldoc=yes --fstrans=no --default
hash x264 ffmpeg ffplay ffprobeCloning into 'ffmpeg'...
remote: Counting objects: 12986, done.
remote: Compressing objects: 100% (8193/8193), done.
remote: Total 12986 (delta 9111), reused 7180 (delta 4567)
Receiving objects: 100% (12986/12986), 13.42 MiB | 1.41 MiB/s, done.
Resolving deltas: 100% (9111/9111), done.
********************:~$ cd ffmpeg
administrator@webserver:~/ffmpeg$ ./configure --enable-gpl --enable-libfaac --enable-libmp3lame --enable-l                                                   ibopencore-amrnb \
>   --enable-libopencore-amrwb --enable-librtmp --enable-libtheora --enable-libvorbis \
>   --enable-libvpx --enable-libx264 --enable-nonfree --enable-version3 --enable-x11grab
ERROR: libfaac not found

If you think configure made a mistake, make sure you are using the latest
version from Git.  If the latest version fails, report the problem to the
ffmpeg-user@ffmpeg.org mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "config.log" produced by configure as this will help
solving the problem.
administrator@webserver:~/ffmpeg$ make
Makefile:2: config.mak: Bestand of map bestaat niet
Makefile:48: /common.mak: Bestand of map bestaat niet
Makefile:91: /libavutil/Makefile: Bestand of map bestaat niet
Makefile:91: /library.mak: Bestand of map bestaat niet
Makefile:178: /doc/Makefile: Bestand of map bestaat niet
Makefile:179: /tests/Makefile: Bestand of map bestaat niet
make: *** Er is geen regel om doel '/tests/Makefile' te maken.  Gestopt.
********************:~/ffmpeg$ sudo checkinstall --pkgname=ffmpeg --pkgversion="5:$(date +%Y%m%d%H%M)-g                                                   it" --backup=no \
>   --deldoc=yes --fstrans=no --default

checkinstall 1.6.2, Copyright 2009 Felipe Eduardo Sanchez Diaz Duran
           This software is released under the GNU GPL.


The package documentation directory ./doc-pak does not exist.
Should I create a default set of package docs?  [y]: y

Preparing package documentation...OK

*****************************************
**** Debian package creation selected ***
*****************************************

This package will be built according to these values:

0 -  Maintainer: [ *********** ]
1 -  Summary: [ Package created with checkinstall 1.6.2 ]
2 -  Name:    [ ffmpeg ]
3 -  Version: [ 5:201208261751-git ]
4 -  Release: [ 1 ]
5 -  License: [ GPL ]
6 -  Group:   [ checkinstall ]
7 -  Architecture: [ i386 ]
8 -  Source location: [ ffmpeg ]
9 -  Alternate source location: [  ]
10 - Requires: [  ]
11 - Provides: [ ffmpeg ]
12 - Conflicts: [  ]
13 - Replaces: [  ]

Enter a number to change any of them or press ENTER to continue:

Installing with make install...

========================= Installation results ===========================
Makefile:2: config.mak: Bestand of map bestaat niet
Makefile:48: /common.mak: Bestand of map bestaat niet
Makefile:91: /libavutil/Makefile: Bestand of map bestaat niet
Makefile:91: /library.mak: Bestand of map bestaat niet
Makefile:178: /doc/Makefile: Bestand of map bestaat niet
Makefile:179: /tests/Makefile: Bestand of map bestaat niet
make: *** Er is geen regel om doel '/tests/Makefile' te maken.  Gestopt.

****  Installation failed. Aborting package creation.

Cleaning up...OK

Bye.

*****************:~/ffmpeg$ hash x264 ffmpeg ffplay ffprobe
-bash: hash: ffmpeg: niet gevonden
-bash: hash: ffplay: niet gevonden
-bash: hash: ffprobe: niet gevonden
****************:~/ffmpeg$

in ieder geval Bedankt alvast..

groeten marcel
« Laatst bewerkt op: 2012/08/26, 18:54:34 door frontcode »

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Help met FFmpeg installeren. voor video sharing website
« Reactie #1 Gepost op: 2012/08/26, 19:50:00 »
Mag ik vragen waarom je ffmpeg via git installeert?
Kan je niet beter via de terminal installeren?
───[gijs@gijswolf]──[19:45]──> /home/gijs
 $ sudo apt-get install ffmpeg
[sudo] password for gijs:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  libunistring0:i386 libgomp1:i386 libcroco3:i386 libgettextpo0:i386
U kunt deze verwijderen via 'apt-get autoremove'.
De volgende extra pakketten zullen geïnstalleerd worden:
  libav-tools libavdevice53 libavfilter2
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  ffmpeg libav-tools libavdevice53 libavfilter2
0 pakketten opgewaardeerd, 4 pakketten nieuw geïnstalleerd, 0 te verwijderen en 14 niet opgewaardeerd.
Er moeten 727 kB aan archieven opgehaald worden.
Door deze operatie zal er 2226 kB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? j
Ophalen:1 http://nl.archive.ubuntu.com/ubuntu/ precise-updates/main libavdevice53 amd64 4:0.8.3-0ubuntu0.12.04.1 [29,1 kB]
Ophalen:2 http://nl.archive.ubuntu.com/ubuntu/ precise-updates/main libavfilter2 amd64 4:0.8.3-0ubuntu0.12.04.1 [80,7 kB]
Ophalen:3 http://nl.archive.ubuntu.com/ubuntu/ precise-updates/main libav-tools amd64 4:0.8.3-0ubuntu0.12.04.1 [615 kB]
Ophalen:4 http://nl.archive.ubuntu.com/ubuntu/ precise-updates/main ffmpeg all 4:0.8.3-0ubuntu0.12.04.1 [2220 B]
727 kB opgehaald in 0s (2062 kB/s)
Selecting previously unselected package libavdevice53.
(Database inlezen ... 294626 files and directories currently installed.)
Uitpakken van libavdevice53 (uit .../libavdevice53_4%3a0.8.3-0ubuntu0.12.04.1_amd64.deb) ...
Selecting previously unselected package libavfilter2.
Uitpakken van libavfilter2 (uit .../libavfilter2_4%3a0.8.3-0ubuntu0.12.04.1_amd64.deb) ...
Selecting previously unselected package libav-tools.
Uitpakken van libav-tools (uit .../libav-tools_4%3a0.8.3-0ubuntu0.12.04.1_amd64.deb) ...
Selecting previously unselected package ffmpeg.
Uitpakken van ffmpeg (uit .../ffmpeg_4%3a0.8.3-0ubuntu0.12.04.1_all.deb) ...
Processing triggers for man-db ...
Instellen van libavdevice53 (4:0.8.3-0ubuntu0.12.04.1) ...
Instellen van libavfilter2 (4:0.8.3-0ubuntu0.12.04.1) ...
Instellen van libav-tools (4:0.8.3-0ubuntu0.12.04.1) ...
Instellen van ffmpeg (4:0.8.3-0ubuntu0.12.04.1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
In der Beschränkung zeigt sich der Meister.

Offline frontcode

  • Lid
Re: Help met FFmpeg installeren. voor video sharing website
« Reactie #2 Gepost op: 2012/08/26, 20:05:44 »
bedankt voor je reactie..
Kun je me dit nader uitleggen ?
hoe en wat ik moet doen.
normaal log ik in via putty en van uit daar ga ik alles installeren
maar ik ben nog nieuw in linux dus weet ook nog niet wat het verschil is ..
ik lees het gewoon en voer het uit.
Maar als je me kunt uitleggen hoe ik dat kan doen .....Graag..

groeten marcel

dit is wat ik krijg :

administrator@webserver:~$ sudo apt-get install ffmpeg
[sudo] password for administrator:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De status informatie wordt gelezen... Klaar
ffmpeg is reeds de nieuwste versie.
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
administrator@webserver:~$

volgens mij heb ik deze dan al geïnstalleerd
maar waar vind ik de pad naar ffmpeg dan?
en waarom zie ik de informatie niet in mijn PHPinfo file?


« Laatst bewerkt op: 2012/08/26, 20:33:21 door frontcode »

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Help met FFmpeg installeren. voor video sharing website
« Reactie #3 Gepost op: 2012/08/26, 20:28:11 »
Via de command line kan je het commando sudo apt-get install ffmpeg intypen geef hierna een ENTER.
Nu moet je het wachtwoord intypen, hier zie je niets van, gewoon 'blind typen' en geef een ENTER.
Nu start de installatie.
In der Beschränkung zeigt sich der Meister.